Subject: Re: linux-next: next-20090609 hangs in early user mode

From: Christoph Hellwig <[email-masked]>
Date: Wed, 10 Jun 2009 04:31:39 -0400

On Wed, Jun 10, 2009 at 06:00:58PM +1000, Stephen Rothwell wrote:
> The machines are PowerPC64 (so big endian).  It looks to me like we use
> bitops on i_state - don't our bitops only apply to unsigned longs?

Yes, bitops need unsigned long.  And on most plaforms should give you
warnings when using them on the wrong type.